<?php

use_helper('UrlFunctions');
use_helper('UtilFunctions');

//Buscar los prestamos en el detalle
$o_crCovid19Detalle = new CrCovid19detalleFN();
$o_crCovid19Detalle->setIdsucursal($cboSucursal);
$o_crCovid19Detalle->setIdmercado($cboMercado);
$a_o_crCovid19Detalle = $o_crCovid19Detalle->select();

if(is_array($a_o_crCovid19Detalle)){
	foreach ($a_o_crCovid19Detalle as $key => $o_crCovid19Detalle){
		$a_idprestamos[] = $o_crCovid19Detalle->getIdprestamo();
	}
}
$o_ObjectBean = new PrestamoBean();
  
$tamanioPag = 9999;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  
//$o_ObjectBean->setIdMercado($cboMercado); 

//FILTRO MERCADO------------------------------------------------------------------------
//Obtener Sucursal------------------------------------
//Id del Administrador--------------------------------


//----------------------------------------------------------------------------------

$o_ObjectBean->setIdsPrestamos($a_idprestamos);


$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;
 
$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);  
$totalMonto = $o_class->getTotalMonto($o_ObjectBean);
$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);



if(!$page) $page = 1;


?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <!--<th width="4%" >Nro</th>-->
                 <th width="3%" >N.Cli.</th>
                 <th width="3%" >N.Pre.</th>
                 <th width="17%" >Cliente&nbsp;</th>
			     
				 <th width="5%" >Capital </th>
                 <th width="3%" >I(%)</th>
                 <th width="4%" >M.Total&nbsp;</th>
                 <th width="3%" >Saldo&nbsp;</th>
                 
                 <th width="3%" >Estado &nbsp;&nbsp;&nbsp;</th>
                 <th width="3%" id="col01" onMouseOver="sort_col(this);" >Usr.Creac.</th>
                 <th width="3%" >F.Inicio</th>
				 <th width="3%" >Anterior F.Vencimiento</th>
				 
				 <th width="3%" >Nueva F.Vencim. </th>
                
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
                <td align="left"><?=$o_objBean->getIdCliente()?></td>
                <td align="center"><a href="#" title="Mostrar Estado Cuenta" style="cursor:pointer;" onclick="objMainTab.modalDialog('<?=buildUrlComplet('mnt.php/pre/estado_cuenta/id/'.$o_objBean->getIdPrestamo());?>',{title:'',width:710,height:600})"><?=$o_objBean->getIdPrestamo()?></a></td>
                <td align="left"><?=ucwords(strtolower($o_objBean->getObjectCliente()->getNombreCompleto()))?></td>
                
				<td align="center"><?=number_format($o_objBean->getMontoPrestado(),2)?></td>
				<td align="center"><?=$o_objBean->getInteresPorcentaje()?></td>
				<td align="center"><?=number_format($o_objBean->getMontoTotal(),2)?></td>
				<td align="right"><?php echo number_format($o_objBean->getSaldoPrestamo(),2);$total_saldo += round($o_objBean->getSaldoPrestamo(),2);?></td>
				
				<td align="center"><?if($o_objBean->getEstado()=='P'){echo Pendiente;} elseif($o_objBean->getEstado()=='C') {echo Cancelado;}?></td>
                <td align="center"><?=ucwords(strtolower($o_objBean->getUsuarioCreacion()))?></td>
                <td><?=$o_objBean->getFechaInicio()?></td>
                <?php 
                $o_crCovid19Detalle = new CrCovid19detalleFN();
                $o_crCovid19Detalle->setIdsucursal($cboSucursal);
                $o_crCovid19Detalle->setIdmercado($cboMercado);
                $o_crCovid19Detalle->setIdprestamo($o_objBean->getIdPrestamo());
                $Object_DetalleCovid= $o_crCovid19Detalle->selectByPK();
                ?>
                <td><?php echo $Object_DetalleCovid->getFechavencimientoanterior()?></td>  
                <td><?php echo $Object_DetalleCovid->getFechavencimientonuevo()?></td>  
				
                
              </tr>
              <? } ?>
              
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>